#include "Player.h"
#include "Controller.h"
#include "Userinterface.h"

/**
 * Constructor, initializes some class-variables.
 */
Controller::Controller() {
  // make items in list empty:
  for (int i=0; i<NUM_PLAYERS; i++) {
    players[i] = NULL;
  }
}

/**
 * Links controller to userinterface
 */
void Controller::init(Userinterface * u) {
  gui = u;
}

/**
 * Add new Player by uid, thief, color
 */
void Controller::add(String u, bool t, String c) {
  // check if uid not already in list:
 for (int i=0; i<NUM_PLAYERS; i++) {
    if (players[i] != NULL) {
      if (players[i]->getUID() == u) { // found uid?
          gui->displayMessage("Already in list");
          return; // skip rest of method
      }
    }
  }  
  
  // find empty spot to put player in list:
  bool added = false;
  for (int i=0; i<NUM_PLAYERS; i++) {
    if (players[i] == NULL) {
      players[i] = new Player(u,t,c);
      gui->displayMessage(0, "Added");
      gui->displayMessage(1, u);
      added = true;
      break;
    }
  }
  if (!added) {
    gui->displayMessage(0, "List full");
    gui->displayMessage(1, "player not added");
  }
}
