
#include "Controller.h"
#include "Userinterface.h"

Userinterface::Userinterface() {
  buttons = new Bounce[NUMBUTTONS];
  display = new U8X8_SSD1306_128X64_NONAME_HW_I2C(U8X8_PIN_NONE);
}

void Userinterface::init(Controller * c) {
  controller = c;

  // initialize display:
  display->begin();
  display->setPowerSave(0);
  display->setFont(u8x8_font_pxplusibmcgathin_f);

  // Make input & enable pull-up resistors on switch pins
  for (int i = 0; i < NUMBUTTONS; i++) {
    buttons[i].attach( button_pins[i] , INPUT_PULLUP  );       // setup the bounce instance for the button
    buttons[i].interval(25);              // interval in ms
    pinMode(leds[i], OUTPUT);
  }
}

void Userinterface::checkSensors() {
  // scan for card
  // uid scanned (here simulated random uid):
  char letters[] = "abcdef0123456789";
  String uid = "";
  for (int i=0; i<12; i++) uid += letters[random(0, sizeof(letters))];
  // add uid to list:
  controller->add(uid, false, "red"); // add player with uid, thief=false, color
  delay(5000); // wait 5 seconds
}

void Userinterface::displayMessage(String s) {
  displayMessage(0, s);
  display->clearLine(1);
}

void Userinterface::displayMessage(int line, String s) {
  display->clearLine(line);
  display->setCursor(0,line); // goto given line
  display->print(s);
}
