#ifndef Userinterface_H
#define Userinterface_H

/**
 * Uses libraries:
 * Bounce2 https://github.com/thomasfredericks/Bounce2
 * U8g2 https://github.com/olikraus/u8g2
 */
#include <Bounce2.h>
#include <U8g2lib.h>

#define NUMBUTTONS 5

class Controller; // forward declaration     

class Userinterface {
public:
  // class variables:
  Bounce * buttons;
  U8X8_SSD1306_128X64_NONAME_HW_I2C * display;
  char buf[16]; // text buffer; to be able to use draw2x2String to show the value
  
  Controller * controller;

  int sensorPin = A0;    // select the input pin for the potentiometer
  int sensorValue = 0;  // variable to store the value coming from the sensor
  int lastSensorValue = 0;
  
  byte leds[NUMBUTTONS] = {2, 3, 4, 5, 13 }; // led pins; use onboard led (13) for last
  byte state[NUMBUTTONS] = {0, 0, 0, 0, 0 }; // state of leds; 0 = OFF, 1 = ON
  byte button_pins[NUMBUTTONS] = {6, 7, 8, 9, 10 }; // button pins; number of leds and buttons must be the same!;

  // constructors:
  Userinterface();
  
  // methods:
  void init(Controller * c);
  void checkSensors();

  void displayMessage(String s);
  void displayMessage(int l, String s);
};

#endif
