/**
 * This is an example Arduino project based on assignment 4a of Application Development
 * https://home.et.utwente.nl/slootenvanf/lesson/appdev-assignment-4a/
 * It shows how the Controller for this assignment can be transformed into anything else that can store objects,
 * in this case objects of class Player, which can form the base of a game with multiple players.
 *
 * Uses libraries (for Userinterface part):
 * Bounce2 https://github.com/thomasfredericks/Bounce2
 * U8g2 https://github.com/olikraus/u8g2
 *
 * Author: Fjodor van Slooten 
 * Date: June 10, 2020
 */
#include "Player.h"
#include "Userinterface.h"
#include "Controller.h"

Userinterface gui;

Controller c;

void setup() {
  Serial.begin(9600);

  gui.init(&c);
  c.init(&gui);
  
  Serial.println("Welcome");
}

void loop() {
  gui.checkSensors();
}
